Subject: Re: [magma] MLD Based Multicast Forwarding

From: Brian Haberman <[email-masked]>
Date: Thu, 28 May 2009 10:14:44 -0400

Ines BEN JEMAA wrote:
> Dear all,
> 
> 
> I'm working on IPv6 multicast. I have to test and deploy IPv6 multicast 
> in a network topology of two subnets with two MLDv2 routers as shown 
> below : 
> 
> 
>       Source (Multicast Sender)
>                 |
>                 |
> MLDv2 Router1===============MLDv2 Router2                
>                   |                                                      
>        |
>     --------------|-------------                                       
> ---------|---------
>                   |                                                      
>        |
>              Host1                                                       
> Host2
> (Multicast listener)                                     (Multicast 
> listener)
> 
> 
> If I understand, the use of MLD forwarding proxy [RFC 4605] is useful in 
> case we have a simple network topology and we don't need to run a 
> multicast routing daemon as PIM. My question is : In our topology, can 
> we use the MLD forwarding proxy to route multicast packets from the 
> source to the multicast listeners in the two subnets?

As long as the network forms a tree (no cycles in the network), RFC 4605 
can be utilized.

> 
> If it can be used, is there any implementation or configuration of the 
> multicast forwarding (MLD proxying) (any software which implements this 
> mechanism)?

My understanding is that it is supported in the Linux kernel and by a 
company called MikroTik.  In addition, there are at least 2 open source 
projects:

http://sourceforge.net/projects/igmpproxy
http://potiron.loria.fr/projects/madynes/internals/perso/lahmadi/igmpv3proxy

Regards,
Brian